Updates the body of a message, but does not (re)submit the message.
| Name | Description | Additional information |
|---|---|---|
| messageId | No documentation available. |
Define this parameter in the request URI. |
| messageRepresentation | MessageRepresentation containing the new body to set |
Define this parameter in the request body. |
{
"messageId": "e8249e55-ba5c-4a63-97f3-32f80a8deb4f",
"tenantId": "1c04efe8-4b56-45f0-9c3d-d82978b9cccd",
"messageTypeId": "eab3e4ec-d2a8-4629-b4f8-f2e95b41fa72",
"messageTypeLookupKey": "sample string 4",
"userId": "fae46580-241d-4014-ae87-139e2b55e10f",
"userGroupId": "774c6364-dff1-4650-b9ce-b9e75d9349c0",
"deviceId": "887b40f9-b9f5-4fbe-94c9-74344d368be1",
"deviceGroupId": "caf97cb1-6d72-481b-9bc3-1575699226e6",
"applicationId": "74c138dc-4cb3-429f-bdcf-88610f3754ee",
"applicationVersionId": "a2ab9409-0407-436d-872b-d391703f59c7",
"senderSessionId": "sample string 5",
"senderSessionSequence": 1,
"senderCorrelationId": "sample string 6",
"senderGroup": "sample string 7",
"senderNote": "sample string 8",
"body": "sample string 9",
"storeEncryptedPassword": true,
"storeHashedPassword": true,
"messageAuditId": "13c2b5d3-14e3-4c28-899b-290bfdcaf69d",
"messageAuditMessageAuditTypeId": "34ea5e93-5d70-4c5a-bbde-7bd0d85ffc03",
"messageAuditMessageAuditTypeName": "sample string 14",
"messageAuditMessageAuditTypeLookupKey": "sample string 15",
"messageAuditText": "sample string 16",
"messageAuditCreatedDateUtc": "2026-09-29T21:15:42.0658801+00:00",
"messageAuditUpdatedDateUtc": "2026-09-29T21:15:42.0658801+00:00",
"cyanId": 18,
"messageAuditCyanId": 1,
"resubmitCount": 19,
"createdDateUtc": "2026-09-29T21:15:42.0658801+00:00",
"updatedDateUtc": "2026-09-29T21:15:42.0658801+00:00"
}
<MessageRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1"> <CreatedDateUtc>2026-09-29T21:15:42.0658801+00:00</CreatedDateUtc> <UpdatedDateUtc>2026-09-29T21:15:42.0658801+00:00</UpdatedDateUtc> <ApplicationId>74c138dc-4cb3-429f-bdcf-88610f3754ee</ApplicationId> <ApplicationVersionId>a2ab9409-0407-436d-872b-d391703f59c7</ApplicationVersionId> <Body>sample string 9</Body> <CyanId>18</CyanId> <DeviceGroupId>caf97cb1-6d72-481b-9bc3-1575699226e6</DeviceGroupId> <DeviceId>887b40f9-b9f5-4fbe-94c9-74344d368be1</DeviceId> <MessageAuditCreatedDateUtc>2026-09-29T21:15:42.0658801+00:00</MessageAuditCreatedDateUtc> <MessageAuditCyanId>1</MessageAuditCyanId> <MessageAuditId>13c2b5d3-14e3-4c28-899b-290bfdcaf69d</MessageAuditId> <MessageAuditMessageAuditTypeId>34ea5e93-5d70-4c5a-bbde-7bd0d85ffc03</MessageAuditMessageAuditTypeId> <MessageAuditMessageAuditTypeLookupKey>sample string 15</MessageAuditMessageAuditTypeLookupKey> <MessageAuditMessageAuditTypeName>sample string 14</MessageAuditMessageAuditTypeName> <MessageAuditText>sample string 16</MessageAuditText> <MessageAuditUpdatedDateUtc>2026-09-29T21:15:42.0658801+00:00</MessageAuditUpdatedDateUtc> <MessageId>e8249e55-ba5c-4a63-97f3-32f80a8deb4f</MessageId> <MessageTypeId>eab3e4ec-d2a8-4629-b4f8-f2e95b41fa72</MessageTypeId> <MessageTypeLookupKey>sample string 4</MessageTypeLookupKey> <ResubmitCount>19</ResubmitCount> <SenderCorrelationId>sample string 6</SenderCorrelationId> <SenderGroup>sample string 7</SenderGroup> <SenderNote>sample string 8</SenderNote> <SenderSessionId>sample string 5</SenderSessionId> <SenderSessionSequence>1</SenderSessionSequence> <StoreEncryptedPassword>true</StoreEncryptedPassword> <StoreHashedPassword>true</StoreHashedPassword> <TenantId>1c04efe8-4b56-45f0-9c3d-d82978b9cccd</TenantId> <UserGroupId>774c6364-dff1-4650-b9ce-b9e75d9349c0</UserGroupId> <UserId>fae46580-241d-4014-ae87-139e2b55e10f</UserId> </MessageRepresentation>
Sample not available.